import request from '@/utils/httpRequest'

export default class WorkClientService {
  list (param) {
    return request({
      url: '/workClientInfo/workClientInfo/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: '/workClientInfo/workClientInfo/save',
      method: 'post',
      data: param
    })
  }
  remove (url) {
    return request({
      url: '/workClientInfo/workClientInfo/remove',
      method: 'get',
      params: {id: url}
    })
  }
  findById (id) {
    return request({
      url: '/workClientInfo/workClientInfo/findById',
      method: 'get',
      params: {id: id}
    })
  }
  update (param) {
    return request({
      url: '/workClientInfo/workClientInfo/update',
      method: 'post',
      data: param
    })
  }
  findListByName (name) {
    return request({
      url: '/workClientInfo/workClientInfo/findListByName',
      method: 'get',
      params: {name: name}
    })
  }
  enterpriseSearchByName (name) {
    return request({
      url: '/workClientInfo/workClientInfo/enterpriseSearchByName',
      method: 'post',
      params: {keyword: name}
    })
  }
  enterpriseTicketInfo (name) {
    return request({
      url: '/workClientInfo/workClientInfo/enterpriseTicketInfo',
      method: 'post',
      params: {id: name}
    })
  }
}
